<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>FamilyChildrenNumber</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects.property, enum: FamilyChildrenNumber">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/FamilyChildrenNumber.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects.property</a></div>
<h1 title="Enum FamilyChildrenNumber" class="title">Enum FamilyChildrenNumber</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.lang.Enum&lt;<a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&gt;
<div class="inheritance">fr.ici.dataImporter.iciObjects.property.FamilyChildrenNumber</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Comparable&lt;<a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&gt;</code>, <code>java.lang.constant.Constable</code></dd>
</dl>
<hr>
<pre>public enum <span class="type-name-label">FamilyChildrenNumber</span>
extends java.lang.Enum&lt;<a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&gt;</pre>
<div class="block">Cases of number of children if the household is a family.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li>
<section class="nested-class-summary" id="nested.class.summary">
<h2>Nested Class Summary</h2>
<div class="inherited-list">
<h2 id="nested.classes.inherited.from.class.java.lang.Enum">Nested classes/interfaces inherited from class&nbsp;java.lang.Enum</h2>
<code>java.lang.Enum.EnumDesc&lt;E extends java.lang.Enum&lt;E&gt;&gt;</code></div>
</section>
</li>
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<li>
<section class="constants-summary" id="enum.constant.summary">
<h2>Enum Constant Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Enum Constants</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Enum Constant</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><code><span class="member-name-link"><a href="#CHILDRENMORETHAN25FAMILY">CHILDRENMORETHAN25FAMILY</a></span></code></th>
<td class="col-last">
<div class="block">Families could be reported to have children and this children could be older that 25.</div>
</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><code><span class="member-name-link"><a href="#FOURANDMORECHILDRENFAMILY">FOURANDMORECHILDRENFAMILY</a></span></code></th>
<td class="col-last">
<div class="block">Family with four children or more, younger than 25.</div>
</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><code><span class="member-name-link"><a href="#ONECHILDRENFAMILY">ONECHILDRENFAMILY</a></span></code></th>
<td class="col-last">
<div class="block">Family with one child younger than 25.</div>
</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><code><span class="member-name-link"><a href="#THREECHILDRENFAMILY">THREECHILDRENFAMILY</a></span></code></th>
<td class="col-last">
<div class="block">Family with three children younger than 25.</div>
</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><code><span class="member-name-link"><a href="#TWOCHILDRENFAMILY">TWOCHILDRENFAMILY</a></span></code></th>
<td class="col-last">
<div class="block">Family with two children younger than 25.</div>
</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><code><span class="member-name-link"><a href="#ZEROCHILDRENFAMILY">ZEROCHILDRENFAMILY</a></span></code></th>
<td class="col-last">
<div class="block">Family without children older than 25.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static <a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#valueOf(java.lang.String)">valueOf</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="col-last">
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static <a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#values()">values</a></span>()</code></th>
<td class="col-last">
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Enum">Methods inherited from class&nbsp;java.lang.Enum</h3>
<code>clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<li>
<section class="constant-details" id="enum.constant.detail">
<h2>Enum Constant Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="ZEROCHILDRENFAMILY">
<h3>ZEROCHILDRENFAMILY</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">ZEROCHILDRENFAMILY</span></div>
<div class="block">Family without children older than 25. Difficult to use because it covers either the no children households and the households living with children older than 25. Correspond to the Cxx_NE24F0 variable in INSEE's nomenclature</div>
</section>
</li>
<li>
<section class="detail" id="CHILDRENMORETHAN25FAMILY">
<h3>CHILDRENMORETHAN25FAMILY</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">CHILDRENMORETHAN25FAMILY</span></div>
<div class="block">Families could be reported to have children and this children could be older that 25. We report those families under this category</div>
</section>
</li>
<li>
<section class="detail" id="ONECHILDRENFAMILY">
<h3>ONECHILDRENFAMILY</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">ONECHILDRENFAMILY</span></div>
<div class="block">Family with one child younger than 25. Correspond to the Cxx_NE24F1 variable in INSEE's nomenclature</div>
</section>
</li>
<li>
<section class="detail" id="TWOCHILDRENFAMILY">
<h3>TWOCHILDRENFAMILY</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">TWOCHILDRENFAMILY</span></div>
<div class="block">Family with two children younger than 25. Correspond to the Cxx_NE24F2 variable in INSEE's nomenclature</div>
</section>
</li>
<li>
<section class="detail" id="THREECHILDRENFAMILY">
<h3>THREECHILDRENFAMILY</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">THREECHILDRENFAMILY</span></div>
<div class="block">Family with three children younger than 25. Correspond to the Cxx_NE24F3 variable in INSEE's nomenclature</div>
</section>
</li>
<li>
<section class="detail" id="FOURANDMORECHILDRENFAMILY">
<h3>FOURANDMORECHILDRENFAMILY</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">FOURANDMORECHILDRENFAMILY</span></div>
<div class="block">Family with four children or more, younger than 25. Correspond to the Cxx_NE24F4 variable in INSEE's nomenclature</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="values()">
<h3>values</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>[]</span>&nbsp;<span class="member-name">values</span>()</div>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="valueOf(java.lang.String)">
<h3>valueOf</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">valueOf</span>&#8203;(<span class="parameters">java.lang.String&nbsp;name)</span></div>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt>Returns:</dt>
<dd>the enum constant with the specified name</dd>
<dt>Throws:</dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/FamilyChildrenNumber.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
